Subject: Re: [PATCHv2 RFC bpf-next 0/7] bpf: Add support for ftrace probe

From: Jiri Olsa <[email-masked]>
Date: Mon, 19 Apr 2021 22:51:46 +0200

On Thu, Apr 15, 2021 at 07:30:32PM -0400, Steven Rostedt wrote:
> On Thu, 15 Apr 2021 23:49:43 +0200
> Jiri Olsa <[email-masked]> wrote:
> 
> 
> > right, I quickly checked on that and it looks exactly like
> > the thing we need
> > 
> > I'll try to rebase that on the current code and try to use
> > it with the bpf ftrace probe to see how it fits
> > 
> > any chance you could plan on reposting it? ;-)
> 
> I'm currently working on cleaning up code for the next merge window,
> but I did go ahead and rebase it on top of my for-next branch. I didn't
> event try to compile it, but at least it's rebased ;-)
> 
> git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-trace.git
> 
> Branch: ftrace/fgraph-multi

works nicely (with small compilation fixes)

I added support to call bpf program on the function exit using fgraph_ops
and it seems to work

now, it looks like the fgraph_ops entry callback does not have access
to registers.. once we have that, we could store arguments for the exit
callback and have all in place.. could this be added? ;-)

thanks,
jirka